All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.visuals.tableview
Class TableRowModelEvent

    com.sas.swing.visuals.tableview.TableRowModelEvent

All Implemented Interfaces:
  java.io.Serializable

    public class TableRowModelEvent

TableRowModelEvent is used to notify listeners that a table row model has changed, such as a row moved.

See Also:
  `TableRowModelListener`, Serialized Form

Field Summary
`protected int` | `fromIndex` The index of the row from where it was moved or removed
`protected int` | `toIndex` The index of the row to where it was moved or added from

Constructor Summary
`TableRowModelEvent(TableRowModel source, int from, int to)` Constructs a TableRowModelEvent object.

Method Summary
`int` | `getFromIndex()` Returns the fromIndex.
`int` | `getToIndex()` Returns the toIndex.

Field Detail

### fromIndex

    protected int fromIndex

  The index of the row from where it was moved or removed

### toIndex

    protected int toIndex

  The index of the row to where it was moved or added from

Constructor Detail

### TableRowModelEvent

    public TableRowModelEvent(TableRowModel source,
                              int from,
                              int to)

  Constructs a TableRowModelEvent object.

  Parameters:
    `source` - the TableRowModel that originated the event (typically `this`)
    `from` - an int specifying the first row in a range of affected rows, -1 indicating an undetermined index, all rows may have moved
    `to` - an int specifying the last row in a range of affected rows, -1 indicating an undetermined index, all rows may have moved

Method Detail

### getFromIndex

    public int getFromIndex()

  Returns the fromIndex. Valid for removed or moved events

### getToIndex

    public int getToIndex()

  Returns the toIndex. Valid for add and moved events

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.